> ## Documentation Index
> Fetch the complete documentation index at: https://enzohealth-12c99f25.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get notifications feed for a subscriber



## OpenAPI

````yaml get /v1/subscribers/{subscriberId}/notifications/feed
openapi: 3.0.3
info:
  title: Enzo API
  description: OpenAPI compliant REST API built using tRPC with Next.js
  version: 1.0.0
servers:
  - url: https://app.enzo.health/api
security: []
externalDocs:
  url: https://docs.enzo.health/api
paths:
  /v1/subscribers/{subscriberId}/notifications/feed:
    get:
      tags:
        - Subscribers
      summary: Get notifications feed for a subscriber
      operationId: subscribers-getNotificationsForSubscriber
      parameters:
        - in: path
          name: subscriberId
          schema:
            type: string
          required: true
        - in: query
          name: page
          schema:
            type: number
            default: 1
        - in: query
          name: limit
          schema:
            type: number
            default: 10
        - in: query
          name: seen
          schema:
            type: boolean
        - in: query
          name: read
          schema:
            type: boolean
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        templateId:
                          type: string
                        environmentId:
                          type: string
                        messageTemplateId:
                          type: string
                          nullable: true
                        organizationId:
                          type: string
                        notificationId:
                          type: string
                        subscriberId:
                          type: string
                        feedId:
                          type: string
                        jobId:
                          type: string
                        transactionId:
                          type: string
                        templateIdentifier:
                          type: string
                          nullable: true
                        providerId:
                          type: string
                          nullable: true
                        content:
                          type: string
                        subject:
                          type: string
                          nullable: true
                        channel:
                          type: string
                        seen:
                          type: boolean
                        read:
                          type: boolean
                        status:
                          type: string
                        createdAt:
                          nullable: true
                          anyOf:
                            - type: string
                            - type: string
                        updatedAt:
                          nullable: true
                          anyOf:
                            - type: string
                            - type: string
                        cta:
                          type: object
                          properties:
                            type:
                              type: string
                            data:
                              type: object
                              properties:
                                url:
                                  type: string
                            action:
                              type: object
                              properties:
                                buttons:
                                  type: array
                                  items: {}
                        payload:
                          type: object
                          additionalProperties: {}
                        subscriber:
                          type: object
                          properties:
                            id:
                              type: string
                            subscriberId:
                              type: string
                            firstName:
                              type: string
                          required:
                            - subscriberId
                        actorSubscriber: {}
                      required:
                        - id
                        - templateId
                        - environmentId
                        - organizationId
                        - notificationId
                        - subscriberId
                        - jobId
                        - transactionId
                        - content
                        - channel
                        - seen
                        - read
                        - status
                        - cta
                  totalCount:
                    type: number
                  hasMore:
                    type: boolean
                  pageSize:
                    type: number
                  page:
                    type: number
                required:
                  - data
                  - hasMore
                  - pageSize
                  - page
        '400':
          description: Invalid input data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.BAD_REQUEST'
        '401':
          description: Authorization not provided
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.UNAUTHORIZED'
        '403':
          description: Insufficient access
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.FORBIDDEN'
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.NOT_FOUND'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.INTERNAL_SERVER_ERROR'
      security:
        - Authorization: []
components:
  schemas:
    error.BAD_REQUEST:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Invalid input data
        code:
          type: string
          description: The error code
          example: BAD_REQUEST
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Invalid input data error (400)
      description: The error information
      example:
        code: BAD_REQUEST
        message: Invalid input data
        issues: []
    error.UNAUTHORIZED:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Authorization not provided
        code:
          type: string
          description: The error code
          example: UNAUTHORIZED
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Authorization not provided error (401)
      description: The error information
      example:
        code: UNAUTHORIZED
        message: Authorization not provided
        issues: []
    error.FORBIDDEN:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Insufficient access
        code:
          type: string
          description: The error code
          example: FORBIDDEN
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Insufficient access error (403)
      description: The error information
      example:
        code: FORBIDDEN
        message: Insufficient access
        issues: []
    error.NOT_FOUND:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Not found
        code:
          type: string
          description: The error code
          example: NOT_FOUND
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Not found error (404)
      description: The error information
      example:
        code: NOT_FOUND
        message: Not found
        issues: []
    error.INTERNAL_SERVER_ERROR:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Internal server error
        code:
          type: string
          description: The error code
          example: INTERNAL_SERVER_ERROR
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Internal server error error (500)
      description: The error information
      example:
        code: INTERNAL_SERVER_ERROR
        message: Internal server error
        issues: []
  securitySchemes:
    Authorization:
      type: http
      scheme: bearer

````